View Issue Details

IDProjectCategoryView StatusLast Update
15773Bug reportsOtherpublic2020-03-16 13:22
ReporterDenisChenu Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.x 
Fixed in Version3.22.9 
Summary15773: Unable to check integrety
Description

With a light database , receive a 500: Internal Server Error when try to check data intergrity

Steps To Reproduce

Unsure … but my DB is attached.
With this DB : debug = 2, receive the error
No issue with debug:0

master_ for prefix

Additional Information
                    #0 /mnt/data/shnoulle/nginx/www/postgre/application/controllers/admin/checkintegrity.php(511): strpos()
#1 /mnt/data/shnoulle/nginx/www/postgre/application/controllers/admin/checkintegrity.php(40): CheckIntegrity->_checkintegrity()
#2 unknown(0): CheckIntegrity->index()
#3 /mnt/data/shnoulle/nginx/www/postgre/framework/web/actions/CAction.php(109): ReflectionMethod->invokeArgs()
#4 /mnt/data/shnoulle/nginx/www/postgre/application/core/Survey_Common_Action.php(86): CheckIntegrity->runWithParamsInternal()
#5 /mnt/data/shnoulle/nginx/www/postgre/framework/web/CController.php(308): CheckIntegrity->runWithParams()
#6 /mnt/data/shnoulle/nginx/www/postgre/framework/web/CController.php(286): AdminController->runAction()
#7 /mnt/data/shnoulle/nginx/www/postgre/framework/web/CController.php(265): AdminController->runActionWithFilters()
#8 /mnt/data/shnoulle/nginx/www/postgre/application/controllers/AdminController.php(165): AdminController->run()
#9 /mnt/data/shnoulle/nginx/www/postgre/framework/web/CWebApplication.php(282): AdminController->run()
#10 /mnt/data/shnoulle/nginx/www/postgre/framework/web/CWebApplication.php(141): LSYii_Application->runController()
#11 /mnt/data/shnoulle/nginx/www/postgre/framework/base/CApplication.php(185): LSYii_Application->processRequest()
#12 /mnt/data/shnoulle/nginx/www/postgre/index.php(195): LSYii_Application->run()
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionpgsql 11.6
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Version7.3.13

Activities

DenisChenu

DenisChenu

2020-01-24 15:47

developer  

limesurvey.sql (271,842 bytes)
DenisChenu

DenisChenu

2020-01-24 16:02

developer   ~55467

With debug = 1

c_schmitz

c_schmitz

2020-03-14 10:48

administrator   ~56536

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29697

lime_release_bot

lime_release_bot

2020-03-16 13:22

administrator   ~56566

Fixed in Release 3.22.9+200317

Related Changesets

LimeSurvey: master 3eafb2f9

2020-03-14 10:47:52

c_schmitz

Details Diff
Fixed issue 15773: Unable to check integrety Affected Issues
15773
mod - application/controllers/admin/checkintegrity.php Diff File

Issue History

Date Modified Username Field Change
2020-01-24 15:47 DenisChenu New Issue
2020-01-24 15:47 DenisChenu File Added: limesurvey.sql
2020-01-24 15:47 DenisChenu File Added: Capture d’écran du 2020-01-24 15-38-43.png
2020-01-24 16:02 DenisChenu File Added: Capture d’écran du 2020-01-24 16-02-04.png
2020-01-24 16:02 DenisChenu Note Added: 55467
2020-01-24 16:03 DenisChenu Steps to Reproduce Updated View Revisions
2020-03-14 10:48 c_schmitz Changeset attached => LimeSurvey master 3eafb2f9
2020-03-14 10:48 c_schmitz Note Added: 56536
2020-03-14 10:48 c_schmitz Assigned To => c_schmitz
2020-03-14 10:48 c_schmitz Resolution open => fixed
2020-03-14 10:51 c_schmitz Status new => resolved
2020-03-14 10:51 c_schmitz Fixed in Version => 3.22.9
2020-03-16 13:22 lime_release_bot Note Added: 56566
2020-03-16 13:22 lime_release_bot Status resolved => closed